{
  filename - CTFormLoadProject.pas

  Purpose:
       This file contains form for load project dialog.
}
{$H+}
unit CTFormLoadProject;
{
History (dd.mm.yy):
20. 3.2012 start of development
}

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TFormLoadProject = class(TForm)
    EditProjectFile: TEdit;
    LabelProjectFile: TLabel;
    ButtonlProjectFile: TButton;
    GroupBoxAdditionalParameters: TGroupBox;
    CheckBoxCheckModules: TCheckBox;
    GroupBoxJobIdentification: TGroupBox;
    LabelOperatorID: TLabel;
    EditOperatorID: TEdit;
    LabelJobID: TLabel;
    EditJobID: TEdit;
    ButtonOK: TButton;
    ButtonCancel: TButton;
    GroupBoxProjectPassword: TGroupBox;
    LabelProjectPassword: TLabel;
    EditProjectPassword: TEdit;
    GroupBoxProjectUniqueID: TGroupBox;
    LabelProjectUniqueID: TLabel;
    EditProjectUniqueID: TEdit;
    LabelHexadecimal: TLabel;
    OpenDialogLoadProject: TOpenDialog;
    procedure ButtonOKClick(Sender: TObject);
    procedure ButtonlProjectFileClick(Sender: TObject);
    procedure ButtonCancelClick(Sender: TObject);
  private
    { Private declarations }
    procedure SetDefaultAdditionalParameter;
  public
    { Public declarations }
    constructor Create(AOwner: TComponent); override;

    procedure GetParameter(var CheckModules: Boolean; var ProjectFile, JobOperatorID, JobID, ProjectPassword, UniqueID: string);
  end;

implementation

{$R *.dfm}

constructor TFormLoadProject.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);

  SetDefaultAdditionalParameter;
end;

procedure TFormLoadProject.ButtonlProjectFileClick(Sender: TObject);
begin
  OpenDialogLoadProject.Filter := 'Project files (*.eprj; *.eprj-m; *.prj)|*.eprj;*.eprj-m;*.prj';
  OpenDialogLoadProject.Options := [ofPathMustExist, ofFileMustExist, ofHideReadOnly];
  if OpenDialogLoadProject.Execute then
  begin
    if (EditProjectFile.Text <> OpenDialogLoadProject.FileName) then
      SetDefaultAdditionalParameter;
    EditProjectFile.Text := OpenDialogLoadProject.FileName;
  end;
end;

procedure TFormLoadProject.ButtonOKClick(Sender: TObject);
var sTextTemp: string;
begin
  if not FileExists(EditProjectFile.Text) then
  begin
    sTextTemp := 'Project file: ''' + EditProjectFile.Text + ''' does not exist.' + #13#10 +
                 'Please set correct project file with path.';
    Application.MessageBox(PAnsiChar(sTextTemp), PAnsiChar(Self.Caption), MB_OK or MB_ICONSTOP);
    Exit;
  end;

  ModalResult := mrOk;
end;

procedure TFormLoadProject.ButtonCancelClick(Sender: TObject);
begin
  ModalResult := mrCancel;
end;

procedure TFormLoadProject.SetDefaultAdditionalParameter;
begin
  CheckBoxCheckModules.Checked := True;
  EditOperatorID.Text := '';
  EditJobID.Text := '';
  EditProjectPassword.Text := '';
  EditProjectUniqueID.Text := '';
end;

procedure TFormLoadProject.GetParameter(var CheckModules: Boolean; var ProjectFile, JobOperatorID, JobID, ProjectPassword, UniqueID: string);
begin
  ProjectFile := EditProjectFile.Text;
  CheckModules := CheckBoxCheckModules.Checked;
  JobOperatorID := EditOperatorID.Text;
  JobID := EditJobID.Text;
  ProjectPassword := EditProjectPassword.Text;
  UniqueID := EditProjectUniqueID.Text;
end;

end.
