{
  filename - CTFormOperationalResult.pas

  Purpose:
       This file contains form for semiautomatic mode.
}

unit CTFormOperationalResult;
{
History:
1.10.2010 start of development
}

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TFormOperationalResult = class(TForm)
    Label1: TLabel;
    ButtonSuccess: TButton;
    ButtonFail: TButton;
    procedure FormShow(Sender: TObject);
    procedure ButtonSuccessClick(Sender: TObject);
    procedure ButtonFailClick(Sender: TObject);
    procedure SetButtonFocus(const OperationResult: Boolean);    
  private
    { Private declarations }
    bSetButtonFocusAccordingToOperationResult: Boolean;
  public
    { Public declarations }
    constructor Create(AOwner: TComponent); override;
  end;

implementation

{$R *.dfm}

constructor TFormOperationalResult.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  
  bSetButtonFocusAccordingToOperationResult := True;
end;

procedure TFormOperationalResult.FormShow(Sender: TObject);
begin
  if bSetButtonFocusAccordingToOperationResult = True then
    ButtonSuccess.SetFocus
  else
    ButtonFail.SetFocus;
end;

procedure TFormOperationalResult.ButtonSuccessClick(Sender: TObject);
begin
  Close;

  ModalResult := mrYes;
end;

procedure TFormOperationalResult.ButtonFailClick(Sender: TObject);
begin
  Close;

  ModalResult := mrNo;  
end;

procedure TFormOperationalResult.SetButtonFocus(const OperationResult: Boolean);
begin
  bSetButtonFocusAccordingToOperationResult := OperationResult;
end;

end.
