{
  filename - CTPusherSprite.pas

  Purpose:
       This file contains sprite graphics class for device pusher visualization.
}

unit CTPusherSprite;
{
History (dd.mm.yy):
1.10.2010 start of development
}

interface

uses Graphics,
     CTSprite;

type
  TPusherState = (tPEmpty, tPFull);

type
  TPusherSprite = class(TSprite)
  private
    BitmapEmpty: TBitmap;
    BitmapFull: TBitmap;
    FPusherState: TPusherState;

  published    
    property PusherState: TPusherState read FPusherState write FPusherState;

  public
    constructor Create(const Left, Top: Longint; const BitmapEmpty, BitmapFull: TBitmap);
    function GetWidth: Integer;
    procedure Paint(const Canvas: TCanvas); override;
  end;

implementation

uses Types;

constructor TPusherSprite.Create(const Left, Top: Longint; const BitmapEmpty, BitmapFull: TBitmap);
begin
  inherited Create(Left, Top);

  FPusherState := tPEmpty;
  Self.BitmapEmpty := BitmapEmpty;
  Self.BitmapFull := BitmapFull;
end;

function TPusherSprite.GetWidth: Integer;
begin
  Result := BitmapEmpty.Width;
end;

procedure TPusherSprite.Paint(const Canvas: TCanvas);
begin
  case FPusherState of
    tPEmpty: Canvas.Draw(Left, Top, BitmapEmpty);
    tPFull : Canvas.Draw(Left, Top, BitmapFull);
  end;
end;

end.

