{
  filename - CTSprite.pas

  Purpose:
       This file contains base class for sprite graphics.
}

unit CTSprite;
{
History (dd.mm.yy):
1.10.2010 start of development
}

interface

uses Graphics, Types;

type
  TSprite = class
  protected
    Left, Top: Longint;
    
  public
    constructor Create(const Left, Top: Longint);
    procedure SetPosition(const Left, Top: Longint);
    function GetPosition: TPoint;
    procedure Paint(const Canvas: TCanvas); virtual; abstract;
  end;

implementation

constructor TSprite.Create(const Left, Top: Longint);
begin
  Self.Left := Left; Self.Top := Top;
end;

procedure TSprite.SetPosition(const Left, Top: Longint);
begin
  Self.Left := Left;
  Self.Top  := Top;
end;

function TSprite.GetPosition: TPoint;
var Point: TPoint;
begin
  Point.X := Left; Point.Y := Top;
  Result := Point;
end;

end.
