/*
	filename - CTDedicatedDriver.h

	Purpose:
			 This file contains dedicated driver functions for real handler.
*/
/*
History (dd.mm.yy):
1.10.2010 start of development
*/

#ifndef CTDedicatedDriverH
#define CTDedicatedDriverH

#include <Types.hpp>

typedef void (*TLogProcedure)(const AnsiString Text); // callback function for logging in higher-level layer

class TDedicatedDriver
{
private:	// User declarations
	TLogProcedure pLogProcedure;

public:		// User declarations
	__fastcall TDedicatedDriver(const TLogProcedure pLogProcedureArg);
	__fastcall ~TDedicatedDriver();

	bool HandlerActive();
	bool MovePusher(const int NewPositionIndex, const int ANumberSites);
	bool PullDeviceByPusher();
	bool DropDeviceByPusher();
	bool InsertDeviceToSocket(const int Index);
	bool RemoveDeviceFromSocket(const int Index);
};

#endif
