//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "CTFormLoadProject.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TFormLoadProject *FormLoadProject;
//---------------------------------------------------------------------------
__fastcall TFormLoadProject::TFormLoadProject(TComponent* Owner)
	: TForm(Owner)
{
	SetDefaultAdditionalParameter();
}
//---------------------------------------------------------------------------
void __fastcall TFormLoadProject::ButtonlProjectFileClick(TObject *Sender)
{
	OpenDialogLoadProject->Filter = "Project files (*.eprj; *.eprj-m; *.prj)|*.eprj;*.eprj-m;*.prj";
	OpenDialogLoadProject->Options << ofPathMustExist << ofFileMustExist << ofHideReadOnly;
	if (OpenDialogLoadProject->Execute())
	{
		if (EditProjectFile->Text != OpenDialogLoadProject->FileName)
			SetDefaultAdditionalParameter();
		EditProjectFile->Text = OpenDialogLoadProject->FileName;
	}
}
//---------------------------------------------------------------------------

void __fastcall TFormLoadProject::ButtonOKClick(TObject *Sender)
{
	if (!FileExists(EditProjectFile->Text))
	{
		AnsiString sTextTemp = "Project file: '" + EditProjectFile->Text + "' does not exist.\n" +
								"Please set correct project file with path.";
		Application->MessageBox(sTextTemp.c_str(), this->Caption.c_str(), MB_OK | MB_ICONSTOP);
		return;
	}

	ModalResult = mrOk;
}
//---------------------------------------------------------------------------

void __fastcall TFormLoadProject::ButtonCancelClick(TObject *Sender)
{
	ModalResult = mrCancel;
}
//---------------------------------------------------------------------------

void TFormLoadProject::SetDefaultAdditionalParameter()
{
	CheckBoxCheckModules->Checked = true;
	EditOperatorID->Text = "";
	EditJobID->Text = "";
	EditProjectPassword->Text = "";
	EditProjectUniqueID->Text = "";
}
//---------------------------------------------------------------------------

void TFormLoadProject::GetParameter(bool &CheckModules, AnsiString &ProjectFile, AnsiString &JobOperatorID, AnsiString &JobID, AnsiString &ProjectPassword, AnsiString &UniqueID)
{
	ProjectFile = EditProjectFile->Text;
	CheckModules = CheckBoxCheckModules->Checked;
	JobOperatorID = EditOperatorID->Text;
	JobID = EditJobID->Text;
	ProjectPassword = EditProjectPassword->Text;
	UniqueID = EditProjectUniqueID->Text;
}
//---------------------------------------------------------------------------
