/*
	filename - CTPusherSprite.h

	Purpose:
			 This file contains sprite graphics class for device pusher visualization.
*/
/*
History (dd.mm.yy):
1.10.2010 start of development
*/

#ifndef CTPusherSpriteH
#define CTPusherSpriteH

#include <Graphics.hpp>
#include "CTSprite.h"

enum TPusherState { tPEmpty, tPFull };

class TPusherSprite : public TSprite
{
private:	// User declarations
	Graphics::TBitmap *pBitmapEmpty;
	Graphics::TBitmap *pBitmapFull;
	TPusherState FPusherState;

public:		// User declarations
	__property TPusherState PusherState = {read=FPusherState, write=FPusherState};

	__fastcall TPusherSprite(const long int Left, const long int Top, Graphics::TBitmap *pBitmapEmpty, Graphics::TBitmap *pBitmapFull);

	int GetWidth();
	void Paint(TCanvas *pCanvas);
};

#endif
