/*
	filename - CTReelSprite.h

	Purpose:
			 This file contains sprite graphics class for device reel visualization.
*/
/*
History (dd.mm.yy):
1.10.2010 start of development
*/

#ifndef CTReelSpriteH
#define CTReelSpriteH

#include <Graphics.hpp>
#include "CTSprite.h"

class TReelSprite : public TSprite
{
private:	// User declarations
	Graphics::TBitmap *pBitmap;
	int QuarterLength, ThreeQuarterLength;
	float HorizontalShift; // animation reason
	int FStatistics;
	float DeltaMoving;

public:		// User declarations
	__property int Statistics = {read=FStatistics, write=FStatistics};
	
	__fastcall TReelSprite(const long int Left, const long int Top, Graphics::TBitmap *pBitmap);

	TPoint GetCentrePosition(const int PusherWidth);
	void MoveFrame();
	void SetDeltaMoving(const int StepSize);
	void Paint(TCanvas *pCanvas);
};

#endif
