/*
	filename - CTUniHandlerClient.h

	Purpose:
			 This file contains the declarations for implementation of Pipes (a section of shared memory that processes use for communication).
*/
/*
History (dd.mm.yy):
1.10.2010 start of development
*/

#ifndef CTUniHandlerClientH
#define CTUniHandlerClientH

#define TXT_NACK "NACK"
#define TXT_NACK_DELIMITER " "
#define TXT_NACK_ERROR_1 "1"   // error .. communication error (wrong check sum, wrong packet)

typedef void (*TLogProcedure)(const AnsiString Text); // callback function for logging in higher-level layer

class TUniHandlerClient
{
private:	// User declarations
	HANDLE hPipe;
	TLogProcedure pLogProcedure;

	void ErrorMessageWindow();
	WORD CountCheckSum(const byte Data[], const int Index, const WORD Length);
	bool WrapDataToPacket(byte PacketData[], const AnsiString Buffer);
	bool UnwrapDataFromPacket(AnsiString &Buffer, const byte PacketData[]);
	void WriteToLog(const AnsiString Text);

public:		// User declarations
	__fastcall TUniHandlerClient(const TLogProcedure pLogProcedureArg);
	__fastcall ~TUniHandlerClient();

	bool Connect();
	bool Disconnect();
	bool Write(const AnsiString Buffer);
	bool Read(AnsiString &Buffer);
};

#endif
