﻿/*
	filename - DedicatedDriver.cs

	Purpose:
			 This file contains dedicated driver functions for real handler.
*/
/*
History (dd.mm.yy):
1.10.2010 start of development
*/
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace VUH
{
    public class DedicatedDriver
    {
        public delegate void LogProcedure(string text); // callback function for logging in higher-level layer
        LogProcedure logProcedure;

        public DedicatedDriver(LogProcedure logProcedureArg)
        {
            logProcedure = new DedicatedDriver.LogProcedure(logProcedureArg);
        }
        public bool HandlerActive()
        {
            logProcedure("DedicatedDriver.IsHandlerActive");
            // type source code for implementation of action ReconfigureHandler of dedicated driver
            // ...

            return true;
        }
        public bool MovePusher(int newPositionIndex, int aNumberSites)
        {
            // handler NewPositionIndex is in following order
            //                 |Site #1|Site#2| ... |Site#ANumberSites|   ReelIn   |  ReelOutOK   |  ReelOutBad  |
            //NewPositionIndex |   0   |   1  |     | ANumberSites-1  |ANumberSites|ANumberSites+1|ANumberSites+2|
            logProcedure("DedicatedDriver.MovePusher(" + newPositionIndex.ToString() + ", " + aNumberSites.ToString() + ")");

            // type here source code for implementation of action MovePusher of dedicated driver
            // ...

            return true;
        }
        public bool PullDeviceByPusher()
        {
            logProcedure("DedicatedDriver.PullDeviceByPusher");
            // type source code for implementation of action PullDeviceByPusher of dedicated driver
            // ...

            return true;
        }
        public bool DropDeviceByPusher()
        {
            logProcedure("DedicatedDriver.DropDeviceByPusher");
            // type source code for implementation of action DropDeviceByPusher of dedicated driver
            // ...

            return true;
        }
        public bool InsertDeviceToSocket(int index)
        {
            logProcedure("DedicatedDriver.InsertDeviceToSocket(" + (index + 1).ToString() + ")");
            // type source code for implementation of action InsertDeviceToSocket of dedicated driver
            // ...

            return true;
        }
        public bool RemoveDeviceFromSocket(int index)
        {
            logProcedure("DedicatedDriver.RemoveDeviceFromSocket(" + (index + 1).ToString() + ")");
            // type source code for implementation of action RemoveDeviceFromSocket of dedicated driver
            // ...

            return true;
        }
    }
}
