﻿/*
	filename - FormLoadProject.cs

	Purpose:
			 This file contains form for load project dialog.
*/
/*
History:
20. 3.2012 start of development
*/
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace VUH
{
    public partial class FormLoadProject : Form
    {
        public FormLoadProject()
        {
            InitializeComponent();

            SetDefaultAdditionalParameter();
        }

        private void buttonProjectFile_Click(object sender, EventArgs e)
        {
            openFileDialogLoadProject.Filter = "Project files (*.eprj; *.eprj-m; *.prj)|*.eprj;*.eprj-m;*.prj";
            openFileDialogLoadProject.CheckPathExists = true;
            openFileDialogLoadProject.CheckFileExists = true;
            if (openFileDialogLoadProject.ShowDialog() == DialogResult.OK)
            {
                if (textBoxProjectFile.Text != openFileDialogLoadProject.FileName)
                    SetDefaultAdditionalParameter();
                textBoxProjectFile.Text = openFileDialogLoadProject.FileName;
            }
        }

        private void buttonOK_Click(object sender, EventArgs e)
        {
            if (!File.Exists(textBoxProjectFile.Text))
            {
                string sTextTemp = "Server: '" + textBoxProjectFile.Text + "' does not exist.\n" +
                            "Please set correct server with path.";
                MessageBox.Show(sTextTemp, this.Text, MessageBoxButtons.OK, MessageBoxIcon.Stop);
                return;
            }
            Close();

            DialogResult = DialogResult.OK;            
        }

        private void buttonCancel_Click(object sender, EventArgs e)
        {
            Close();

            DialogResult = DialogResult.Cancel;
        }
        
        private void SetDefaultAdditionalParameter()
        {
            checkBoxCheckModules.Checked = true;
            textBoxOperatorID.Text = "";
            textBoxJobID.Text = "";
            textBoxProjectPassword.Text = "";
            textBoxProjectUniqueID.Text = "";
        }

        public void GetParameter(ref bool checkModules, ref string projectFile, ref string jobOperatorID, ref string jobID, ref string projectPassword, ref string uniqueID)
        {
          projectFile = textBoxProjectFile.Text;
          checkModules = checkBoxCheckModules.Checked;
          jobOperatorID = textBoxOperatorID.Text;
          jobID = textBoxJobID.Text;
          projectPassword = textBoxProjectPassword.Text;
          uniqueID = textBoxProjectUniqueID.Text;
        }
    }
}
