﻿/*
	filename - PusherSprite.cs

	Purpose:
			 This file contains sprite graphics class for device pusher visualization.
*/
/*
History (dd.mm.yy):
1.10.2010 start of development
*/
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;

namespace VUH
{
    public enum EnumPusherState { tPEmpty, tPFull };

    public class PusherSprite : Sprite
    {       
        private Bitmap bitmapEmpty;
        private Bitmap bitmapFull;
        private EnumPusherState pusherState;
        public EnumPusherState PusherState
        {
            get { return pusherState; }
            set { pusherState = value; }
        }

        public PusherSprite(int left, int top, Bitmap bitmapEmpty, Bitmap bitmapFull)
            : base(left, top)
        {
            PusherState = EnumPusherState.tPEmpty;
            this.bitmapEmpty = bitmapEmpty;
            this.bitmapFull = bitmapFull;
            this.bitmapEmpty.MakeTransparent();
            this.bitmapFull.MakeTransparent();
        }
        public int GetWidth()
        {
            return bitmapEmpty.Width;
        }
        public override void Paint(ref Graphics canvas)
        {
            switch (PusherState)
            {
                case EnumPusherState.tPEmpty: canvas.DrawImage(bitmapEmpty, left, top); break;
                case EnumPusherState.tPFull: canvas.DrawImage(bitmapFull, left, top); break;
            }
        }
    }
}
